stlinkv1_macosx_driver: add Mavericks #198

Merged
merged 1 commit into from Dec 18, 2013

Projects

None yet

2 participants

@jsarenik

The diff was as easy as adding a new select
option for 10.9 version in install.sh, and
a little patch fixing com.apple.kpi.libkern
version string.

BTW, the biggest problem was probably that
I forgot to install latest libusb, i.e. libusbx in homebrew.

I have also deleted all .DS_Store files in newly-created
tarball. Apart from that, following are the only changes:

diff -Naur osx-old/install.sh osx/install.sh
--- osx-old/install.sh  2012-08-22 13:18:39.000000000 +0000
+++ osx/install.sh      2013-12-16 13:07:38.000000000 +0000
@@ -11,6 +11,9 @@
 10.8)
     KEXT="stlink_shield10_8.kext"
     ;;
+10.9)
+    KEXT="stlink_shield10_9.kext"
+    ;;
 *)
     echo "OS X version not supported."
     exit 1
diff -Naur osx/stlink_shield10_8.kext/Contents/Info.plist osx/stlink_shield10_9.kext/Contents/Info.plist
--- osx/stlink_shield10_8.kext/Contents/Info.plist  2012-08-22 13:04:55.000000000 +0000
+++ osx/stlink_shield10_9.kext/Contents/Info.plist  2013-12-16 13:06:10.000000000 +0000
@@ -54,7 +54,7 @@
        <key>com.apple.iokit.IOUSBFamily</key>
        <string>1.8</string>
        <key>com.apple.kpi.libkern</key>
-       <string>12.0.0</string>
+       <string>13.0.0</string>
    </dict>
 </dict>
 </plist>
Jan Sarenik stlinkv1_macosx_driver: add Mavericks
The diff was as easy as adding a new select
option for 10.9 version in install.sh, and
a little patch fixing com.apple.kpi.libkern
version string.

Don't forget to install latest libusb, i.e.
libusbx in homebrew!
3c6d629
@texane texane merged commit 76629db into texane:master Dec 18, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment